const int motorA1 = 9;
const int motorA2 = 8;
const int motorPWM = 10;
const int potPin = A0; // Pin del potenciómetro
const int switchPin = 7; // Pin del interruptor de balancín (asumiendo que es un pin digital)
int threshold = 100; // Umbral para activar el LED

void setup() {
  pinMode(motorA1, OUTPUT);
  pinMode(motorA2, OUTPUT);
  pinMode(motorPWM, OUTPUT);
  pinMode(switchPin, INPUT_PULLUP); // Configurar el pin del interruptor de balancín como entrada con pull-up

  // Configuración inicial del motor
  digitalWrite(motorA1, LOW);
  digitalWrite(motorA2, LOW);
  analogWrite(motorPWM, 0);  // Asegúrate de que el motor esté apagado inicialmente
}

void loop() {
  // Leer el estado del interruptor de balancín
  int switchState = digitalRead(switchPin);

  // Si el interruptor está cerrado (en "abierto")
  if (switchState == HIGH) {
    // Lee el valor del potenciómetro
    int potValue = analogRead(potPin);
    // Convierte el valor leído (0-1023) a un valor de velocidad (0-255)
    int speed = map(potValue, 0, 1023, 0, 255);

    // Encender el motor en dirección hacia adelante
    digitalWrite(motorA1, HIGH);
    digitalWrite(motorA2, LOW);
    // Establecer la velocidad del motor
    analogWrite(motorPWM, speed);
  } else {
    // Si el interruptor está abierto, apagar el motor
    digitalWrite(motorA1, LOW);
    digitalWrite(motorA2, LOW);
    digitalWrite(motorPWM, LOW);
  }
}
